> ## Documentation Index
> Fetch the complete documentation index at: https://docs.borderless.xyz/llms.txt
> Use this file to discover all available pages before exploring further.

# Setup Dfns integration.

> Create Dfns integration to configure the connection with the Dfns workspace.



## OpenAPI

````yaml https://sandbox-api.borderless.xyz/v1/api-json put /v1/organizations/integrations/dfns
openapi: 3.0.0
info:
  title: Borderless API
  description: The Borderless API documentation.
  version: '1.0'
  contact: {}
servers:
  - url: https://sandbox-api.borderless.xyz
security: []
tags: []
paths:
  /v1/organizations/integrations/dfns:
    put:
      tags:
        - Integrations Config
      summary: Setup Dfns integration.
      description: >-
        Create Dfns integration to configure the connection with the Dfns
        workspace.
      operationId: IntegrationsConfigController_setupDfnsIntegrationConfig
      parameters: []
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/DfnsSetupDto'
      responses:
        '202':
          description: Organization Dfns integration data
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/IntegrationConfigEntity'
      deprecated: true
      security:
        - bearer: []
components:
  schemas:
    DfnsSetupDto:
      type: object
      properties:
        appId:
          type: string
          minLength: 31
          maxLength: 50
          description: >-
            The Dfns application ID. Learn more about configuration at [Dfns
            Configuration
            Guide](https://docs.buildborderless.com/docs/dfns-provider).
          example: ap-66rrf-kcjqj-8ppri8f3aa4h6opn
        authToken:
          type: string
          minLength: 256
          maxLength: 1024
          description: >-
            The Dfns authentication token. Learn more about configuration at
            [Dfns Configuration
            Guide](https://docs.buildborderless.com/docs/dfns-provider).
          example: eyJ1eXAiOiJKV1QiLCJhbGciOiJFZERTQSJ9...
      required:
        - appId
        - authToken
    IntegrationConfigEntity:
      type: object
      properties:
        provider:
          type: string
        integrationNetworkAddresses:
          type: array
          items:
            $ref: '#/components/schemas/IntegrationNetworkAddressEntity'
      required:
        - provider
    IntegrationNetworkAddressEntity:
      type: object
      properties:
        network:
          allOf:
            - $ref: '#/components/schemas/NetworkId'
        address:
          type: string
      required:
        - network
        - address
    NetworkId:
      type: string
      enum:
        - POLYGON
        - ETHEREUM
        - TRON
        - BASE
        - OPTIMISM
        - BITCOIN
        - SOLANA
        - CELO
      description: The network this refund address belongs to.
  securitySchemes:
    bearer:
      scheme: bearer
      bearerFormat: JWT
      type: http

````